export declare enum SupportedProviderType {
    Social = "social",
    Email = "email"
}
export declare enum SupportedChannel {
    Stock = "stock",
    MobileApp = "mobile-app",
    Crypto = "crypto",
    Driver = "driver",
    Unknown = "unknown"
}
declare const _default: {
    Auth: {
        Events: {
            StateChange: number;
            Update: number;
            Error: number;
            Loaded: number;
        };
        Storage: {
            CognitoId: string;
            IdToken: string;
            AccessToken: string;
            Authorization: string;
            NewComer: string;
            Provider: string;
            Profile: string;
            SSOProvider: string;
        };
    };
    Debuggable: {
        Config: string;
        Logger: string;
    };
    Storage: {
        Driver: string;
    };
    Network: {
        Driver: string;
    };
    SupportedChannel: typeof SupportedChannel;
    SupportedProviderType: typeof SupportedProviderType;
};
export default _default;
