export default abstract class StorageAbstract {
    protected abstract setItemImpl(key: string | number, value: any): Promise<boolean>;
    protected abstract getItemImpl(key: string | number): Promise<string>;
    protected abstract removeItemImpl(key: string | number): Promise<boolean>;
    private validateKey;
    removeItem: (key: string) => Promise<boolean>;
    /**
     * Put an item into storage entry
     * @param key Key of the entry
     * @param value Value of the entry
     * @returns If the operation is success
     */
    setItem: (key: string | number, value: any) => Promise<boolean>;
    /**
     * Get an item from storage entry via specified key
     * @param key Key of the entry
     * @param value Value of the entry
     * @returns A promise which resolves value of the entry
     */
    getItem: (key: string | number) => Promise<string>;
    /**
     * Store multiple items to storage
     * @param tasks An object specify multiple key-value pairs
     */
    setMulti: (tasks: Record<string, any>) => Promise<boolean>;
}
