export declare type ProviderResponse = Anue.Provider.NullableResponse;
export declare type ChangeHandler = Anue.Provider.ChangeHandler;
export default abstract class AbstractProvider {
    protected mContext: Anue.Provider.Response | null;
    private mEvent;
    private mInitialized;
    abstract loginImpl(args?: any): Promise<ProviderResponse | null>;
    abstract logoutImpl(): Promise<boolean>;
    abstract getName(): string;
    abstract refresh(): Promise<ProviderResponse>;
    abstract initImpl(): Promise<AbstractProvider>;
    abstract getContext(): ProviderResponse | null;
    mode: number;
    protected emitStateChange: () => void;
    renewer: (() => Promise<Anue.Auth.RefreshTokenResponse>) | null;
    getProfile: (args: Anue.Auth.GetProfileArgs) => Promise<{
        name: string;
        email: string;
        uid: string;
        avatar: string;
    } | null>;
    init: () => Promise<AbstractProvider>;
    isLoggedIn: () => boolean;
    onLogin: (fn: any) => this;
    onLogout: (fn: any) => this;
    login: (args?: any) => Promise<Anue.Provider.NullableResponse>;
    logout: () => Promise<boolean>;
    onLoginStateChange: (fn: Anue.Provider.ChangeHandler) => AbstractProvider;
}
