import AbstractProvider from './AbstractProvider.abstract';
interface GAuthConfig {
    redirect_uri?: string;
    ux_mode?: 'popup' | 'redirect';
    client_id: string;
    hosted_domain?: string;
    api_key?: string;
    cookie_policy?: string;
    prompt?: string;
}
export default class GoogleProvider extends AbstractProvider {
    private mIsScriptLoaded;
    private loginPromises;
    private logoutPromises;
    private mAuth;
    private redirectUrl;
    private mClientConfig;
    static transform: <T = any>(obj: any) => T;
    constructor(config: Anue.Provider.GoogleProviderConfig);
    private getCurrentUser;
    getName: () => string;
    getType: () => import("../../constants/Keys").SupportedProviderType;
    getContext: () => Anue.Provider.NullableResponse;
    refresh: () => Promise<Anue.Provider.Response>;
    private populatePromises;
    handleLoginState: (loggedIn: boolean) => void;
    initImpl: () => Promise<AbstractProvider>;
    logoutImpl: () => Promise<boolean>;
    loginImpl: (config: GAuthConfig) => Promise<Anue.Provider.NullableResponse>;
}
export {};
