import AbstractNetworkInterface from '@libraries/Network/Network.abstract';
export declare enum ContentTypeEnum {
    JSON = 0,
    BLOB = 1,
    TEXT = 2,
    UNKNOWN = 3
}
declare class FetchNetworkDriver extends AbstractNetworkInterface {
    private static getContentType;
    /**
     * Send a request and resolves the response, this only throws error
     * when things going wrong with network connection.
     * otherwise it resolves an Anue.Response object with status code,
     * body and other information.
     * @param options Request options like url, method, headers, and body
     */
    request: <T = any>(options: Anue.Network.RequestOptions<any>) => Promise<T>;
}
declare class FetchNotSupportedDriver extends AbstractNetworkInterface {
    protected request: <T = any>(options: Anue.Network.RequestOptions<any>) => Promise<T>;
}
declare const _default: typeof FetchNotSupportedDriver | typeof FetchNetworkDriver;
export default _default;
